package com.ejie.u74a.model;

/**
 * Clase auxiliar para la solicitud de un articulo.
 * 
 *  
 */
public class ArticuloSolicitado {

	/** Numero de ejemplares/Cajas solicitados. */
	private int numEjemplaresSolicitados;
	/** Artículo. */
	private Articulo articulo;

	/** Código del artículo. Necesario a este nivel para establecer el uniqueId a la tabla **/
	private Integer codArticulo;

	/**
	 * Obtiene el campo numEjemplaresSolicitados
	 * 
	 * @return numEjemplaresSolicitados
	 */
	public int getNumEjemplaresSolicitados() {
		return this.numEjemplaresSolicitados;
	}

	/**
	 * Establece el campo numEjemplaresSolicitados
	 * 
	 * @param numEjemplaresSolicitados numEjemplaresSolicitados
	 */
	public void setNumEjemplaresSolicitados(int numEjemplaresSolicitados) {
		this.numEjemplaresSolicitados = numEjemplaresSolicitados;
	}

	/**
	 * Obtiene el campo articulo
	 * 
	 * @return articulo
	 */
	public Articulo getArticulo() {
		return this.articulo;
	}

	/**
	 * Establece el campo articulo
	 * 
	 * @param articulo articulo
	 */
	public void setArticulo(Articulo articulo) {
		this.articulo = articulo;
	}

	/**
	 * Obtiene el campo codArticulo
	 * 
	 * @return codArticulo
	 */
	public Integer getCodArticulo() {
		return this.codArticulo;
	}

	/**
	 * Establece el campo codArticulo
	 * 
	 * @param codArticulo codArticulo
	 */
	public void setCodArticulo(Integer codArticulo) {
		this.codArticulo = codArticulo;
	}

}
